Page MenuHomePhabricator

Set $wgArticleCountMethod = 'any' on zhwikinews and run updateArticleCount.php
Closed, ResolvedPublic

Description

Sometimes, when we are changing {{review}} to {{publish}} (Like this: https://zh.wikinews.org/?diff=84147&oldid=84146 ), the total number of articles shown in https://zh.wikinews.org/wiki/Special:%E7%BB%9F%E8%AE%A1%E4%BF%A1%E6%81%AF will decrease by 1, which should be a bug


Version: unspecified
Severity: minor

Details

Reference
bz51604

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:45 AM
bzimport set Reference to bz51604.
bzimport added a subscriber: Unknown Object (MLST).

yanteng3 wrote:

Yes, stats.wikimedia.org show the end of May there are 4398 articles(Source: http://stats.wikimedia.org/wikinews/EN/SummaryZH.htm), now how could decreasing instead of increasing it?

Change 79914 had a related patch set uploaded by BryanDavis:
Release note update for bug 51604.

https://gerrit.wikimedia.org/r/79914

(In reply to comment #2)

Change 79914 had a related patch set uploaded by BryanDavis:
Release note update for bug 51604.
https://gerrit.wikimedia.org/r/79914

Accidentally selected wrong bug number

zhwikinews counts an article if it has an internal link. Solution would be to change $wgArticleCountMethod to something that isn't counting internal links.

The choices are, an article is: Any page, Any page with a link, or any page with a comma.

Is this something that's still wanted?

I would suggest any page, as internal links will not always appear in an news article.

Typically we ask for a link to a community discussion about the change, to make sure the community understands what is going to change, and agree with the change.

started a community discussion.

What's the state of this? Has community consensus for this change been found?

(In reply to comment #8)

What's the state of this? Has community consensus for this change been found?

[[zh:n:Wikinews:茶馆#修正條目數出錯問題]]
Only 1 user support, while no oppose idea.
However, the site is lack of activity. I think should we go ahead, or ...

Hmm, do we need shell to run updateArticleCount.php?

Change 192367 had a related patch set uploaded (by Odder):
Set $wgArticleCountMethod to 'any' on zhwikinews

https://gerrit.wikimedia.org/r/192367

Patch-For-Review

This still needs running the script, so CC-ing @Chad.

tomasz claimed this task.Feb 23 2015, 7:49 PM
tomasz edited projects, added Patch-For-Review; removed Shell.
tomasz set Security to None.

Change 192367 merged by jenkins-bot:
Set $wgArticleCountMethod to 'any' on zhwikinews

https://gerrit.wikimedia.org/r/192367

tomasz closed this task as Resolved.Feb 25 2015, 4:08 PM

Fixed with the help from @Chad.